Subject: [bug#32953] [PATCH core-updates-next 0/8] Use GCC7 as the default compiler.

From: Efraim Flashner <[email-masked]>
Date: Sat, 29 Dec 2018 19:58:33 +0200

On Thu, Dec 27, 2018 at 11:59:08AM +0100, Ludovic Courtès wrote:
> Hi Marius!
> 
> Marius Bakke <[email-masked]> skribis:
> 
> > Marius Bakke <[email-masked]> writes:
> >
> >> Guix,
> >>
> >> Here are patches that allow building the world with GCC7.
> >>
> >> The cross-toolchain and bootstrap tarballs need more work, but native
> >> x86_64 at least is largely fine.
> >>
> >> Marius Bakke (8):
> >>   gnu: Remove gcc-for-libstdc++.
> >>   gnu: libstdc++-boot0: Improve gcc-wrapper workaround.
> >>   gnu: gcc-boot0: Improve gcc-wrapper workarounds.
> >>   gnu: Remove duplicate linux-libre-headers package from bootstrap
> >>     inputs.
> >>   gnu: Use GCC 7 as the default compiler.
> >>   gnu: python: Fix FTBFS with GCC >= 6.
> >>   gnu: cmake: Try CPATH and C_INCLUDE_PATH when finding system
> >>     libraries.
> >>   gnu: cppunit: Update to 1.14.0.
> >
> > I've pushed these to 'wip-gcc7' on Savannah for easier access:
> >
> > https://git.savannah.gnu.org/cgit/guix.git/log/?h=wip-gcc7
> 
> I haven’t tested the patch set but I concur with Danny, they LGTM.
> 
> Now would be a good time to rebase them on ‘core-updates’ and to merge
> them so we get enough time to test and fix things.  Would you like to do
> that?
> 
> Thanks!
> 
> Ludo’.

After it's rebased I'll help take a look at the armhf and aarch64
boostrap paths to make sure they work.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted